<?php

namespace App\Http\Controllers;

use App\Models\product_category_setting_model;
use Illuminate\Http\Request;
use App\Models\product_model;
use App\Models\cart_model;
use App\Models\cart_total_model;
use App\Models\user_model;

class card_detail_controller extends Controller
{
    protected $products;
    protected $users;
    protected $cart;
    protected $cart_total;
    protected $category;
    public function __construct(){

        $this->products = new product_model;
        $this->users = new user_model;
        $this->cart = new cart_model;
        $this->cart_total = new cart_total_model;
        $this->category = new product_category_setting_model;
    }

    public function index($id){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $carts = session()->get('cart', []);
        $cart_unique_items = is_array($carts) ? count($carts) : 0;

        $products = $this->products->all();
        $categories = $this->category->all();

        $product_info = $products->where('id',$id)->first();

        $user = $login_user;

        $data = compact('products','login_user','carts','cart_unique_items','user','product_info','categories');
        return view('card_detail')->with($data);
    }

    public function increase_quantity($id){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $carts = session()->get('cart', []);

        if (isset($carts[$id])) {
            $carts[$id]['quantity'] += 1;
        }

        session()->put('cart', $carts);

        $total = 0;
        foreach ($carts as $cart){
            $total += $cart['price'] * $cart['quantity'];
        }


        return response()->json([
            'status' => 'Successfully Add a 1 more Item',
        ]);

    }

    public function decrease_quantity($id){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $carts = session()->get('cart', []);

        if (isset($carts[$id])) {

            if ($carts[$id]['quantity'] > 1) {

                $carts[$id]['quantity'] -= 1;

            }
            // Optional: Remove item if quantity reaches 0
//            if ($carts[$id]['quantity'] <= 0) {
//                unset($carts[$id]);
//            }
        }


        session()->put('cart', $carts);

        $total = 0;
        foreach ($carts as $cart){
            $total += $cart['price'] * $cart['quantity'];
        }


        return response()->json([
            'status' => 'Successfully Add a 1 more Item',
        ]);

    }

}
