@extends('layouts.main')

@push('nav_title')
    {{--    <a class="navbar-brand" href="{{route('users')}}">User</a>--}}
    <a class="navbar-brand" href="#">Enzy</a>
@endpush

@section('page_title')

    <h1>Products</h1>

@endsection

@section('profile')

    @include('layouts/profile')

@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection


@section('main_div')

    <div class="product_with filter">
        <!-- Search Bar -->
        <div class="row mb-4">
            <div class="col-md-8 col-lg-6 mx-auto">
                <div class="input-group shadow-sm">
                    <input type="text" class="form-control" id="product-search" placeholder="Search products..." aria-label="Search products">
                    <button class="btn btn-primary" type="button" id="search-button">
                        <i class="fas fa-search"></i>
                    </button>
                </div>
            </div>
        </div>
        
        <div class="filters card border-0 shadow-sm p-3 mb-4">
            <h5 class="fw-bold mb-3">Filter Products</h5>
            <div class="row">
                <div class="col-md-4 mb-3">
                    <div class="filter_tab">
                        <label class="form-label fw-bold">Categories</label>
                        <div class="catalogue">
                            @foreach($categories as $category)
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" id="{{$category->id}}" name="categories[]" value="{{$category->id}}"
                                       @if(in_array($category->id, $selected_categories)) checked @endif>
                                    <label class="form-check-label" for="{{$category->id}}">{{ ucwords($category->category) }}</label>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
                
                <div class="col-md-4 mb-3">
                    <div class="filter_tab">
                        <label class="form-label fw-bold">Size</label>
                        <select id="size" name="size" class="form-select">
                            <option value="">All Sizes</option>
                            @foreach($sizes as $size)
                                <option value="{{$size->id}}" @if($size->id == $selected_size) selected @endif>
                                    {{strtoupper($size->size)}}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
                
                <div class="col-md-4 d-flex align-items-end mb-3">
                    <div class="d-flex gap-2 w-100">
                        <a href="{{route('product_list')}}" class="btn btn-outline-secondary flex-grow-1">
                            <i class="fas fa-undo me-1"></i> Reset
                        </a>
                        <button class="btn btn-primary flex-grow-1 apply_filter">
                            <i class="fas fa-filter me-1"></i> Apply
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="product-body">
            @foreach($products as $product)
                <div class="product_tab">
                    <div class="product-img">
                        <img src="{{ url('/../../interior.images.local/'.$product->image) }}">
                        <div class="add-to-cart">
                            @if($product->quantity > 0)
                                <button class="btn btn-secondary add_to_cart" data-id="{{$product->id}}">Add To
                                    Cart
                                </button>
                            @else
                                <button class="btn btn-secondary add_to_cart" data-id="{{$product->id}}" disabled>
                                    Add To Cart
                                </button>
                            @endif
                        </div>
                    </div>
                    <div class="product_content">
                        <h5 class="mb-8"><a href="{{route('card_detail',['id' => $product->id])}}"
                                            class="hover-text-main-600">{{$product->name}}</a></h5>
                        <div class="flex-between gap-4 flex-wrap mt-10">
                            <div class="flex-align gap-2">
                                    <span class="price"><i
                                            class="fa-solid fa-dollar-sign"></i>{{$product->price}}</span>
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>

    <div class="cart">
        @include('layouts.cart')
    </div>

    </div>

@endsection
